| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | Friends | List of all members
CommonMessagingBase Class Referenceabstract

`#include <GaudiKernel/CommonMessaging.h>`

Inheritance diagram for CommonMessagingBase:
[legend]
Collaboration diagram for CommonMessagingBase:
[legend]

## Public Member Functions
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
virtual void | create_msgStream () const =0
| cold functionality More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...

## Private Attributes
bool | m_commonMessagingReady = false
MSG::Level | m_level = MSG::NIL
boost::thread_specific_ptr< MsgStream > | m_msgStream
| The predefined message stream. More...
SmartIF< IMessageSvc > | m_msgsvc
| Pointer to the message service;. More...

## Friends
template<typename Base >
class | CommonMessaging

## Detailed Description

Definition at line 58 of file CommonMessaging.h.

## Constructor & Destructor Documentation

## ◆ ~CommonMessagingBase()

virtual CommonMessagingBase::~CommonMessagingBase | ( |  | ) |
| virtual default

Virtual destructor.

## Member Function Documentation

## ◆ always()

MsgStream& CommonMessagingBase::always | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ALWAYS)

Definition at line 89 of file CommonMessaging.h.

89 { return msgStream( MSG::ALWAYS ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::ALWAYS
Definition: IMessageSvc.h:15

## ◆ create_msgStream()

virtual void CommonMessagingBase::create_msgStream | ( |  | ) | const
| pure virtual

cold functionality

Implemented in CommonMessaging< BASE >, CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >, CommonMessaging< implements< IAuditor, IProperty > >, CommonMessaging< implements< IAppMgrUI, Gaudi::Interfaces::IAsyncEventProcessor, IService, IStateful, INamedInterface, IProperty > >, CommonMessaging< IPrecedenceRulesGraph >, CommonMessaging< implements< IService, IProperty, IStateful > >, CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >, and CommonMessaging< implements< IComponentManager > >.

## ◆ debug()

MsgStream& CommonMessagingBase::debug | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::DEBUG)

Definition at line 107 of file CommonMessaging.h.

107 { return msgStream( MSG::DEBUG ); }
MSG::DEBUG
Definition: IMessageSvc.h:15
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71

## ◆ err()

MsgStream& CommonMessagingBase::err | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ERROR)

Definition at line 95 of file CommonMessaging.h.

95 { return msgStream( MSG::ERROR ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::ERROR
Definition: IMessageSvc.h:15

## ◆ error()

MsgStream& CommonMessagingBase::error | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ERROR)

Definition at line 98 of file CommonMessaging.h.

98 { return msgStream( MSG::ERROR ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::ERROR
Definition: IMessageSvc.h:15

## ◆ fatal()

MsgStream& CommonMessagingBase::fatal | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::FATAL)

Definition at line 92 of file CommonMessaging.h.

92 { return msgStream( MSG::FATAL ); }
MSG::FATAL
Definition: IMessageSvc.h:15
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71

## ◆ info()

MsgStream& CommonMessagingBase::info | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::INFO)

Definition at line 104 of file CommonMessaging.h.

104 { return msgStream( MSG::INFO ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::INFO
Definition: IMessageSvc.h:15

## ◆ msg()

MsgStream& CommonMessagingBase::msg | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::INFO)

Definition at line 113 of file CommonMessaging.h.

113 { return msgStream( MSG::INFO ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::INFO
Definition: IMessageSvc.h:15

## ◆ msgStream() [1/2]

MsgStream& CommonMessagingBase::msgStream | ( |  | ) | const
| inline

Return an uninitialized MsgStream.

Definition at line 71 of file CommonMessaging.h.

71 {
72 if ( UNLIKELY( ( !m_msgStream.get() ) ) ) create_msgStream();
73 return *m_msgStream;
74 }
UNLIKELY
#define UNLIKELY(x)
Definition: Kernel.h:96
CommonMessagingBase::create_msgStream
virtual void create_msgStream() const =0
cold functionality
CommonMessagingBase::m_msgStream
boost::thread_specific_ptr< MsgStream > m_msgStream
The predefined message stream.
Definition: CommonMessaging.h:123

## ◆ msgStream() [2/2]

MsgStream& CommonMessagingBase::msgStream | ( | const MSG::Level | level | ) | const
| inline

Predefined configurable message stream for the efficient printouts.

if ( a < 0 ) { msgStream( MSG::ERROR ) << "a = " << endmsg ; }

Returns
  Reference to the predefined stream

Definition at line 86 of file CommonMessaging.h.

86 { return msgStream() << level; }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
gaudirun.level
level
Definition: gaudirun.py:334

## ◆ msgSvc()

const SmartIF<IMessageSvc>& CommonMessagingBase::msgSvc | ( |  | ) | const
| inline

The standard message service.

Returns a pointer to the standard message service.

Definition at line 68 of file CommonMessaging.h.

68 { return m_msgsvc; }
CommonMessagingBase::m_msgsvc
SmartIF< IMessageSvc > m_msgsvc
Pointer to the message service;.
Definition: CommonMessaging.h:126

## ◆ verbose()

MsgStream& CommonMessagingBase::verbose | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::VERBOSE)

Definition at line 110 of file CommonMessaging.h.

110 { return msgStream( MSG::VERBOSE ); }
MSG::VERBOSE
Definition: IMessageSvc.h:15
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71

## ◆ warning()

MsgStream& CommonMessagingBase::warning | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::WARNING)

Definition at line 101 of file CommonMessaging.h.

101 { return msgStream( MSG::WARNING ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
MSG::WARNING
Definition: IMessageSvc.h:15

## Friends And Related Function Documentation

## ◆ CommonMessaging

template<typename Base >

friend class CommonMessaging
| friend

Definition at line 117 of file CommonMessaging.h.

## Member Data Documentation

## ◆ m_commonMessagingReady

bool CommonMessagingBase::m_commonMessagingReady = false
| mutable private

Definition at line 119 of file CommonMessaging.h.

## ◆ m_level

MSG::Level CommonMessagingBase::m_level = MSG::NIL
| mutable private

Definition at line 120 of file CommonMessaging.h.

## ◆ m_msgStream

boost::thread_specific_ptr<MsgStream> CommonMessagingBase::m_msgStream
| mutable private

The predefined message stream.

Definition at line 123 of file CommonMessaging.h.

## ◆ m_msgsvc

SmartIF<IMessageSvc> CommonMessagingBase::m_msgsvc
| mutable private

Pointer to the message service;.

Definition at line 126 of file CommonMessaging.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/CommonMessaging.h